XnKeyValuePair< _TKey, _TValue > Struct Template Reference

`#include <XnHashT.h>`

## Public Types

typedef _TKey | TKey
typedef _TValue | TValue

## Public Member Functions

| XnKeyValuePair ()
| XnKeyValuePair (TKey key, TValue value)
| XnKeyValuePair (const XnKeyValuePair &other)
TKey const & | Key () const
TValue const & | Value () const
TValue & | Value ()

## Member Typedef Documentation

## TKey

template<class _TKey, class _TValue>

typedef _TKey XnKeyValuePair< _TKey, _TValue >::TKey

## TValue

template<class _TKey, class _TValue>

typedef _TValue XnKeyValuePair< _TKey, _TValue >::TValue

## Constructor & Destructor Documentation

## XnKeyValuePair() [1/3]

template<class _TKey, class _TValue>

XnKeyValuePair< _TKey, _TValue >::XnKeyValuePair | ( |  | ) |

inline

## XnKeyValuePair() [2/3]

template<class _TKey, class _TValue>

XnKeyValuePair< _TKey, _TValue >::XnKeyValuePair | ( | TKey | key,
|  | TValue | value )

inline

## XnKeyValuePair() [3/3]

template<class _TKey, class _TValue>

XnKeyValuePair< _TKey, _TValue >::XnKeyValuePair | ( | const XnKeyValuePair< _TKey, _TValue > & | other | ) |

inline

## Member Function Documentation

## Key()

template<class _TKey, class _TValue>

TKey const & XnKeyValuePair< _TKey, _TValue >::Key | ( |  | ) | const

inline

## Value() [1/2]

template<class _TKey, class _TValue>

TValue & XnKeyValuePair< _TKey, _TValue >::Value | ( |  | ) |

inline

## Value() [2/2]

template<class _TKey, class _TValue>

TValue const & XnKeyValuePair< _TKey, _TValue >::Value | ( |  | ) | const

inline

The documentation for this struct was generated from the following file:

- XnHashT.h